from gpiozero import Button
import time

# Der Sensor wird als Button-Objekt initialisiert, wobei der interne Pull-Up-Widerstand aktiviert ist.
sensor = Button(24, pull_up=True)

print("Sensor-Test [drücken Sie STRG+C, um den Test zu beenden]")

# Diese Funktion wird ausgeführt, wenn ein Signal erkannt wird (fallende Flanke).
def ausgabeFunktion():
    print("Signal erkannt")

# Die Funktion 'ausgabeFunktion' wird an das 'when_pressed' Event des Sensors gebunden.
sensor.when_pressed = ausgabeFunktion

# Hauptprogrammschleife
try:
    while True:
        time.sleep(1)

# Aufräumarbeiten, nachdem das Programm beendet wurde
except KeyboardInterrupt:
    print("Programm beendet")